Page MenuHomePhabricator

[cmake] Remove VERSION property from executable targets
ClosedPublic

Authored by labath on Jan 25 2017, 7:08 AM.

Details

Summary

Currently, in the default configuration, the "install" target will
install all llvm executables unversioned, except for three lldb tools
which will be installed versioned (with a non-versioned symlink). This
rectifies that situation.

Event Timeline

labath created this revision.Jan 25 2017, 7:08 AM

@sylvestre.ledru, I know that debian installs all llvm tools versioned, but I have no idea through which mechanism. I am guessing it must be something different than this, as this is lldb-specific. Do you know if you would be impacted by this?

mgorny edited edge metadata.Jan 25 2017, 10:55 AM

Technically the patch looks sane; however, I suggest you wait for some input from the others. As for Gentoo, I don't think we ever really cared for LLDB being versioned — only clang.

Thanks. I guess I'll give this one more week, and then commit it if noone objects.

This revision was automatically updated to reflect the committed changes.